using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：事故/事件种类
    /// </summary>
    [Description("导航属性： 事故/事件种类")]
    public class T_CM_RSP_ESTIMATE_EVENT_KIND : MesEntityBase
    {
        /// <summary>
        /// 应急响应评估ID
        /// </summary>
        [Description("应急响应评估ID")]
        [DataFieldForeignKey("Nav_RspEstimate", "Nav_ListEventKind")]
        public Guid ESTIMATE_ID { get; set; }

        /// <summary>
        /// 导航属性：应急响应评估记录
        /// </summary>
        [Description("导航属性：应急响应评估记录")]
        public virtual T_CM_RSP_ESTIMATE Nav_RspEstimate { get; set; }

    }
}
